import { WeaLocaleProvider } from "ecCom";
import { Modal } from "antd";

const { getLabel } = WeaLocaleProvider;
export const confirmDialog = (type, callback, reportType) => {
  let content = "";
  switch (type) {
    case "refresh":
      content = getLabel(111, "刷新数据会重新从核算数据中取值，申报界面新增、编辑的数据会被全部覆盖，是否确认刷新？");
      break;
    case "correct":
      content = getLabel(111, "更正申报，当申报成功后，发现有错报、漏报的情况，可使用更正申报，更正申报成功时，企业状态会变成未申报");
      break;
    case "cancel":
      content = getLabel(111, "申报作废，只有申报成功，无需缴款/申报成功，未缴款的状态才能作废，当作废成功时，企业状态会变成未申报；当作废失败时，企业状态还是原来的未缴款或无需缴款的状态。");
      break;
    case "declare":
      content = reportType === 1 ? getLabel(111, "解除劳动合同一次性补偿金、全年一次性奖金所得，不能单独申报，需要同正常工资薪金一起申报；解除劳动合同一次性补偿金、稿酬所得，由于税务规则需要，解除劳动合同一次性补偿金、稿酬所得必须填写免税附表。是否确认申报？") : getLabel(111, "确认申报？");
      break;
    default:
      break;
  }
  return Modal.confirm({
    title: getLabel(131329, "信息确认"), content,
    onOk: callback
  });
};
